<p>We also recommend reading <a href="https://zenhabits.net/zen-to-done-ztd-the-ultimate-simple-productivity-system/">Zen To Done (ZTD): The Simple Productivity System</a>.</p>

<h3>Further reading</h3>
<p>And here are a few additional resources you can consult to help you further improve your task management skills:</p>
<ul>
<li><a href="https://doist.com/blog/the-ultimate-guide-to-personal-productivity-methods/">Doist: The Ultimate Guide to Personal Productivity Methods</a></li>
<li><a href="https://zapier.com/blog/task-management-strategies/">Zapier: Your To Do List and Beyond: 8 Powerful Ways to Manage Your Tasks</a></li>
<li><a href="https://hamberg.no/gtd/">Getting Things Done explained in 15 minutes</a></li>
</ul>
